# Transmission

> [en] So I would. I would grab a coffee, sit down, and start reading. Often we’d share posts back and forth, or chat about some of the more interesting ones we had read. It was something we did that was never on accident… ==it was intentional, deliberate.== It was a way, I think, of investing in ourselves while also acknowledging how much we still could learn from others.
> 
> <cite>*[Investing in RSS](https://timkadlec.com/remembers/2023-02-23-investing-in-rss/)* ([cache](/david/cache/2023/19ec475bd5d92b02fbef043c52ea0589/))</cite>

Il y a ce réveil des blogs qui me rend silencieux, laisser la place d’une attention pour les autres. Et en même temps, ce sont plutôt des réveils que de nouvelles personnes. **Je suis très disposé à me faire le relais de nouveaux blogs si vous en créez un.**

Il y a la constatation récurrente que la [Loi de Conway](https://fr.wikipedia.org/wiki/Loi_de_Conway) se vérifie dès que je travaille avec des structures à taille inhumaine. L’aliénation de l’humain aux processus est l’un des grands mystères de ce temps. L’expérience de ces hiérarchies me permet d’attendre d’être en communication avec LA personne compétente pour aller de l’avant.

Il y a la transmission douloureuse, je me demande par exemple si sa génération sera la dernière à pouvoir faire du ski de fond dans les parcs montréalais. Au même titre qu’il a été l’un des derniers à pouvoir patiner sur le Lac aux Castors du Mont-Royal. Et encore, il était dans la poussette.

Il y a cette rupture vraiment pas conventionnelle qui me questionne sur le fait qu’une transmission ultime puisse passer par la destruction pour voir ce qui est recréé ensuite, valider les acquis et les envies en quelque sorte. Tellement difficile de décortiquer certaines intentions sans raviver les tensions.

---

> 🔄 Que se passe-t-il quand un LLM se nourrit en continu  ? Soit il se retrouve exposé à des ==contenus produits par d’autres LLM==, soit il continue à être alimenté par des données hiérarchisées par des scrutins alimentés par des personnes qui, elles-mêmes, sont exposées à des contenus produits par un LLM. Quel impact cela pourrait-il avoir sur la qualité des contenus  ?
> 
> <cite>*[Des questions · Boris Schapira](https://boris.schapira.dev/notes/2023-02-des-questions/)* ([cache](/david/cache/2023/482252d2b8806e99bc30ffab2b2c51c9/))</cite>


> [en] 🚜 Today’s cloud services have the look and feel of that tractor. They’re conceived by infrastructure people who care about efficient computation, fast networking, and cheap storage. The comfort and convenience of the developers who need to drive these services to build end-user facing applications has been an afterthought.
>
> Both the tractor and the cloud service of the past made sense: ==The majority of people who made the purchasing decisions didn’t operate them==, and those who did had little influence. Why bother making them nice to operate?
>
> <cite>*[Company Announcement | Pydantic](https://pydantic.dev/announcement/)* ([cache](/david/cache/2023/0f8bbba127c48a13b35fdf265c2dc106/))</cite>

> [en] 🤸 It comes down to this annoying, upsetting, stupid fact: ==the only way to build a great product is to use it every day, to stare at it, to hold it in your hands to feel its lumps.== The data and customers will lie to you but the product never will. And most product orgs suck because they simply don’t use the products that they’re building; they ship incremental nothings without direction because they’re looking at spreadsheets all day long filled with junk data nothings.
> 
> <cite>*[Vibe Driven Development](https://www.robinrendle.com/notes/vibe-driven-development/)* ([cache](/david/cache/2023/660b2a27b116787ac44e536e6c9dbcd3/))</cite>

> [en] 🧑‍⚖️ Traditional open source is based on the flawed premise that technology is fundamentally neutral, and that unrestricted access to source code— even for explicitly “evil” purposes— is in fact an unqualified good. But around the world, open source developers are starting to realize that the software that they create, with its tremendous potential to change the world for the better, is also being abused to sustain and promote systems of inequity and injustice, globally, and at unprecedented scale.
>
> The Hippocratic License 3.0 (HL3) aims ==to confront the potential harms and abuses technology can have== on fundamental human rights. It empowers open source communities to establish a clear set of ethical standards that licensees must abide by in order to adopt their code.
>
> <cite>*[The Hippocratic License](https://firstdonoharm.dev/)* ([cache](/david/cache/2023/e44bfaaecad989f67cb2032fac000276/))</cite>

> [en] 😮 I am all for radical criticism, especially targeted at billion-dollar tech corporations and powerful project leaders who [try to silence critics](https://fediverse.zachleat.com/@zachleat/109830047951867907). We need ==to hold them accountable== for tech that produces harmful, subpar web experiences. They deserve their decent share of “told you so”.
> 
> <cite>*[An update on Robust Client-Side JavaScript](https://molily.de/update-on-robust-javascript/)* ([cache](/david/cache/2023/9718ae2062146285e1c4f406240e04af/))</cite>

> [en] 🤗 As we build stuff, we make trade-off decisions like this all the time. If I have a point, it’s that we should consider these tradeoffs ==with our most junior teammates in mind;== how much complexity are we adding for them? Is it worth it?
> 
> <cite>*[Clever Code Considered Harmful](https://www.joshwcomeau.com/career/clever-code-considered-harmful/)* ([cache](/david/cache/2023/a09b5bf450d2cf86fb9e9d6f13b070e0/))</cite>

#attention #confiance #solastalgia