# Traditions

> [en] Documents are documents. Books are books, recordings are recordings, and so on. As time has gone on, though, I’ve observed the probably obvious-to-others fact that **Lore** is the grease between the concrete blocks of knowledge, the carved step in an otherwise impossible-to-scale mountain, the small bit of powder sprinkled through a workspace to ensure sparks don’t fly and things don’t burn. Inconceivably odd to the outsider, but vital to the dedicated or intense practice of the craft.
>
> Certainly, the ideal situation is lore is inlaid into a framework of knowledge. […]
> 
> ==The danger in this process, the potential lost ballast in the rise to the skies, is that the lore-to-knowledge transfer is lossy, messy, and arbitrary.== Maybe those in the know want to keep the information to themselves, so it won’t be given to whoever the person or persons are who are laying down the written form. Maybe the chronicler of information has blind spots they don’t know about and not enough people to correct them. Or, more likely, you have to set the “noise filter” of the information to not go down the rabbit and rat holes of contingencies that maybe a dozen or two people will even want to know about, to the favor of that which *everyone* will need. The outcome is always the same: Lore loses in the long run.
> 
> <cite>*[Discord, or the Death of Lore « ASCII by Jason Scott](http://ascii.textfiles.com/archives/5509)* ([cache](/david/cache/2023/f6e269f9a6e16436827169039d551623/))</cite>

La documentation des us et coutumes, des pratiques culturelles, de façon numérique est un vrai défi. Surtout pour les personnes qui sont plutôt de culture orale dans leur façon de transmettre.

Ce n’est pas mon cas mais je me retiens toujours de _lutter contre_ en proposant des outils complémentaires qui viennent enrichir la souvenance que l’on peut avoir d’un échange. Un [journal](/david/2022/12/19/), une notice, un billet de blog, qu’importe le format pourvu que l’on ait une URL pérenne qui puisse être référencée.

Cela me prend du temps, mais bien moins que de devoir reprendre les échanges de zéro. Ou de faire un peu trop confiance à l’interprétation faite par ma propre mémoire !

---

J’essaye [HazeOver](https://hazeover.com/) depuis maintenant une semaine et je me demande comment ça n’est pas une fonctionnalité par défaut de macOS. Je n’ai aucune fenêtre maximisée et j’ai un écran relativement grand, cet outil me permet de focaliser sur la fenêtre en cours. Lors du partage d’écran complet en visio (pour alterner code/navigateur par exemple), un coup de scroll sur l’icône dans la barre du haut et hop on ne voit que la fenêtre active avec un fond noir.

Autre test du moment : [Folder Peek](https://sindresorhus.com/folder-peek), Sindre Sorhus fait plein d’autres [petits outils intéressants](https://sindresorhus.com/apps).

---

Parce qu’il n’y a pas de raisons que ça soit restreint à un public mastodon :

> Pour rappel : si vous souhaitez proposer un sujet pour une conférence comme [@ParisWeb](https://mamot.fr/@ParisWeb) ou [@sudweb](https://piaille.fr/@sudweb) je me propose de vous accompagner dans la démarche, surtout si vous faites partie d’une population peu représentée dans ces évènements (cette formulation est probablement maladroite mais j’espère que vous voyez l’idée).
>
> 🤗
>
> <cite>[Proposition du 9 mars](https://fedi.larlet.fr/@david/109993800837974664)</cite>

---

> [en] 👴 According to the most recent StackOverflow survey, half of the developer population started their careers within the last 9 years, which is to say, ==half of all web developers have never known a world without React.==
> 
> It’s even highly likely that they were taught web development via React or that they have never built a site any other way. They were told by their teachers, then by recruiters and then by their employers that React was the way you build web sites, and they invested their careers in it accordingly.
> 
> <cite>*[The Price Developers Pay for Loving Their Tools Too Much](https://remotesynthesis.com/blog/the-price-of-developer-tools/)* ([cache](/david/cache/2023/339a862f8939f7ba8ae1524fa14f94c2/))</cite>

> 😔 Il s’agit de la tendance qu’ont les gens à graviter vers ou être attirés par ceux qui leur sont similaires en apparence, croyances, origine. Un effet de bord pernicieux ou même vicieux est la tendance à éviter ou même détester les gens ou les groupes qui sont différents.
>
> Puisque le milieu professionnel est dominé par les mâles blancs, ce biais affecte les femmes, d’autant plus si elles sont de couleur. ==C’est le biais qui fait le plus de détriment aux femmes au travail== : décisions de recrutement injustes, promotions inéquitables, idées balayées ou volées.
> 
> <cite>*[Ces stéréotypes qui nuisent aux femmes au travail](https://koalie.blog/2023/03/11/ces-stereotypes-qui-nuisent-aux-femmes-au-travail/)* ([cache](/david/cache/2023/6c69f245e09fb696b43afa54240b4148/))</cite>


> [en] 📷 Having my phone in my pocket doesn’t trigger anything but distraction. It can do everything, and so I feel nothing in particular about it. A physical camera takes photos, but it also makes me think about seeing. And I like that.
> 
> <cite>*[Carrying a camera](https://macwright.com/2017/11/03/carrying-a-camera.html)* ([cache](/david/cache/2023/c9925184359c01c5c077be55b7cd6505/))</cite>

> 😢 Et je suis fatiguée de cette société qui est incapable de croire les femmes. Combien faudra t-il encore de vidéos ou témoignage où un homme se retrouve, volontairement ou par accident, à la place d’une femme ? Pour se rendre compte qu’en fait oui c’est violent ce que vivent les femmes et que ce qu’elles dénoncent c’est vrai et systémique.
>
> Je ne peux m’empêcher de penser que si j’avais été un homme ma carrière serait plus avancée aujourd’hui, mon salaire supérieur et ma santé mentale bien meilleure.
> 
> <cite>*[Stupeur et tremblements : comment faire fuir les développeuses expérimentées.](https://www.duchess-france.fr/coup%20de%20gueule/sexisme/2023/03/06/stupeur-et-trembements.html)* ([cache](/david/cache/2023/25d41d569f637f8342c495139ccce8a8/))</cite>

> [en] ✍️ That is against our purposes here. A blog post is *a search query*. ==You write to find your tribe;== you write so they will know what kind of fascinating things they should route to your inbox. If you follow common wisdom, you will cut exactly the things that will help you find these people.
>
> <cite>*[A blog post is a very long and complex search query to find fascinating people and make them route interesting stuff to your inbox](https://escapingflatland.substack.com/p/search-query)* ([cache](/david/cache/2023/5bea097a2dba65380cf43adf2df540f8/))</cite>


> [en] 🤔 Fact we’re in the ’Twenties’ sounds so weird. It’s so synonymous with the 1920s. Sounds like a bygone era when women were still fighting for their rights, the upper classes were living a life of hedonism whilst people starved & the world was on the verge of financial ruin and war.
> 
> <cite>Une capture d’écran de @BeardedGenius vue sur mastodon. 2023.</cite>

#incompétence #partage #traces