# Long cours

Je suis avec beaucoup d’intérêt les réflexions d’[Éric D.](https://n.survol.fr/) qui envisage un périple du milieu de la France au nord de la Norvège. Ça me fait envisager ce type d’aventure sur plusieurs mois, ce qui me retient, ce que j’emporterais, ce que j’ai appris de mes propres sorties et qui pourrait me servir.

_Note : je n’ai jamais fait plus d’un demi-GR20 en durée et mes sorties en forêt ne dépassent pas 3/4 jours. Tout ce qui suit est donc très hypothétique._

Je crois que la question principale qui me taraude(rait) en envisageant un tel périple est de savoir si c’est du tourisme lent ou une façon d’effleurer les cultures et les modes de vies des territoires que je traverse. Je commence par cet aspect car c’est assez central ensuite pour le matériel : est-ce que je veux un vélo qui supporte le gel ou est-ce que je suis prêt à m’adapter en terminant le voyage en traîneau ou a skis ou autre-pas-encore-envisageable ? (pour donner un exemple)

J’avais l’air de plaisanter sur mastodon lorsque je proposais d’oublier les matelas trop chauds/isolants pour récupérer des peaux de rennes au cours du trajet mais il y a un peu de vrai dans mon envie de me renseigner sur les pratiques locales/traditionnelles pour les incorporer à cette transformation de moi-même qui me semble être le voyage au long cours. Ne pas l’envisager comme une traversée sur-pensée en étant sur-équipé mais comme une adaptation continue en fonction des rencontres et des expériences. C’est un peu ma démarche actuelle avec mon apprentissage de [la laine](https://nature.larlet.fr/habillage/#laine) et je suis même allé jusqu’à acheter cet hiver une chapka en fourrure pour connaître ces propriétés de maintient de la chaleur. Ce n’est pas qu’une démarche scientifique mais aussi une forme d’acclimatation au territoire et à ses pratiques ancestrales. Ne pas traverser la forêt dans mon cas, mais devenir la forêt en la traversant.

Ce que j’ai appris de mes essais en continu ces dernières années, c’est qu’un matériel ne peut être éprouvé qu’en conditions réelles. Pas seulement si cette tente peut supporter une tempête de neige mais si cette tente peut supporter une tempête de neige _dans cette portion de forêt avec mes connaissances actuelles de positionnement_. Pas seulement si ce hamac a une moustiquaire mais si j’arrive à passer une soirée à l’abri de la fumée puis à m’insérer dans le hamac sans qu’une nuée de moustique rentre avec moi en plein mois de juillet. La liste est très/trop longue du matériel que je pensais être pertinent et indispensable et qui se révèle être inadapté à mon milieu et sa saison. Et je n’aurais pas pu le savoir sans le pratiquer, et parfois il est pertinent seulement un mois dans l’année mais je le connais suffisamment pour maintenant l’utiliser à bon escient. Pour un voyage de plusieurs mois j’imagine qu’il est impossible d’avoir le matériel adapté à une telle diversité.

Alors il faut peut-être s’adapter soi et se tourner vers des matières et pratiques résilientes.

Je me pose presque chaque fois la question lors du chemin du retour d’imaginer pouvoir rester plus longtemps (indépendamment de la nourriture). Et j’évalue au passage ce qui aurait rendu cela possible : aller plus lentement, mieux dormir, être plus confortable au niveau du campement, etc. Parfois c’est lié au matériel mais bien souvent ça cache plutôt le mental/l’intelligence du terrain :

* J’ai des courbatures parce que j’ai trop forcé ou bien car je me suis mal hydraté au cours de la journée après avoir fait des choix discutables en matière d’orientation ?
* J’ai mal dormi car le matelas était trop fin ou parce que je flippais au moindre bruit ? 
* Mon duvet est humide parce qu’il est mauvais ou parce que j’ai mal positionné mon campement ?

Même après pas mal de nuits dehors, je fais encore souvent des erreurs, parfois de manière récurrente. Elles n’ont jusqu’à présent pas été critiques mais leur somme sur une excursion plus longue aurait probablement un impact non négligeable sur ma motivation et peut-être ma santé (mentale).

En parlant de motivation, c’est probablement là que j’aurais besoin de beaucoup travailler. Il n’est pas rare qu’au milieu de la forêt je me demande ce que je fais là et pourquoi je ne suis pas dans un lieu au chaud entouré des personnes que j’aime. Je sais aussi ce que ça m’apporte par ailleurs et j’ai toujours ce réconfort qu’à _court_ terme je vais pouvoir les retrouver. Sur du plus long, ce serait plus difficile, peut-être impossible.

Je suis assez certain de pouvoir marcher pendant une semaine mais après un mois, est-ce que j’aurais encore l’envie de mettre un pied devant l’autre qui m’éloigne de mon foyer ? Est-ce qu’après 3 jours de pluie à manger du lyophilisé tout en étant carencé en vitamines et minéraux mon moral tiendrait le choc avec un objectif si lointain ? Est-ce que j’arriverais à m’accepter pendant une aussi longue période ? Est-ce que je m’adonne à une activité de privilégié car je n’ai pas d’autre sens dans ma vie que celui d’être égoïste ? Est-ce que le partage de ces expériences est leur seule forme d’existence ? Est-ce que je m’autorise ce que j’interprète comme un échec ?

Ces réponses ne s’achètent pas mais pèsent parfois très lourd dans mon sac.

---

Cet article est déjà assez long, merci Éric de m’avoir motivé à écrire tout ça de manière cathartique. J’espère ne pas être condescendant ou moralisateur, c’est vraiment ce qui me tourne en tête en envisageant un périple de ce type par procuration.

#aventure #incompétence #psychologie
