# Conteur

Un peu de contexte. Lorsqu’on va promener et bivouaquer en forêt avec l’enfant — comme la fin de semaine dernière — on invente des histoires. C’est souvent inspiré des lectures du moment (La guerre de clans, Naruto, etc) croisées avec les éléments que l’on a sous la main (crapauds, ~~anis~~ gemmes de Flavigny, etc). En rentrant à la maison, on prend un moment le soir pour ~~écrire~~ taper tout cela mais il faut garder de la place pour les dessins d’illustration. Me voilà donc en train de chercher comment introduire un saut de page en Markdown lors de l’impression. Ou plutôt dans le rendu de Markdown par iAWriter pour être plus précis. Et il s’avère que [c’est possible](https://ia.net/writer/support/basics/markdown-guide) ([cache](/david/cache/2023/478260db4b078551676bf263cbeeaa52/)) avec `+++` !

Au passage, je découvre qu’il y a tout un tas de possibilités dans un logiciel que j’utilise depuis des années. Comme les formules (dans les tableaux) ou les métadonnées qui viennent dynamiquement remplacer des variables. Une chouette découverte après avoir utilisé récemment les _templates_ pour uniformiser mes courriers.

Et c’est ainsi que je vous conte ce qu’il nous est arrivé en contant cette histoire. Je vous accorde que c’est un peu *meta*.

![Un extrait de l’histoire : Sur le chemin du retour, nous nous dimes que nous allions écrire cette histoire.](/static/david/2023/2023-09-06-extrait-quete.jpg "Mais on aime ça le meta. (Et les typos. (Et le passé simple.))")

---

> [en] 🪦 The 100-Year Plan isn’t just about today. It’s an investment in tomorrow. Whether you’re cementing your own digital legacy or gifting 100 years of a trusted platform to a loved one, ==this plan is a testament to the future==’s boundless potential.
>
> The cost is $38,000. We hope people renew.
> 
> <cite>*[Introducing the 100-Year Plan: Secure Your Online Legacy for a Century](https://wordpress.com/blog/2023/08/25/introducing-the-100-year-plan/)* ([cache](/david/cache/2023/57c0b22f733354552de63db112f51b20/))</cite>

> [en] 📜 A false sense of security persists surrounding digitized documents: because an infinite number of identical copies can be made of any original, most of us believe that our electronic files have an indefinite shelf life and unlimited retrieval opportunities. In fact, preserving the world’s online content is an increasing concern, particularly as file formats (and the hardware and software used to run them) become scarce, inaccessible, or antiquated, technologies evolve, and data decays. ==Without constant maintenance and management,== most digital information will be lost in just a few decades. Our modern records are far from permanent.
> 
> <cite>*[Shining a Light on the Digital Dark Age](https://longnow.org/ideas/shining-a-light-on-the-digital-dark-age/)* ([cache](/david/cache/2023/83c60dd85e9f0f07bf41821a2694a0e5/))</cite>

> [en] 🔋 But there’s something else I want to suggest here, and it’s to stop thinking about time entirely. Or, at least, to stop thinking about time as something *consistent*. We all know that time can be stretchy or compressed—we’ve experienced hours that plodded along interminably and those that whisked by in a few breaths. We’ve had days in which we got so much done we surprised ourselves and days where we got into a staring contest with the to-do list and the to-do list didn’t blink. And we’ve also had days that left us puddled on the floor and days that left us pumped up, practically leaping out of our chairs. ==What differentiates these experiences isn’t the number of hours in the day but the energy we get from the work.== Energy *makes* time.
> 
> <cite>*[Energy makes time](https://everythingchanges.us/blog/energy-makes-time/)* ([cache](/david/cache/2023/3f4be4add2995420dc6be529f1032e46/))</cite>

#aventure #forêt #parentalité