# Perspective

> [en] Let’s call the generally pro-Tailwind group *Builders*, and let’s call the generally anti-Tailwind group *Crafters*.
>
> This isn’t to say that Crafters don’t build things, or that the Builders aren’t skilled craftspeople. But as a quick and messy shorthand, let’s go with it for a moment, because I think it hints at the values of these two groups.
>
> […]
> 
> Builders clearly value getting the work done as quickly and efficiently as possible. They are making something—likely something with parts beyond the frontend—and are eager to see it through to completion.
> 
> […]
> 
> On the other side, the Crafters tend to be seasoned CSS specialists, and almost always enjoy the part of the work that Tailwind is supposed to make easier. It’s fair to say they’ve overcome the challenge presented by CSS—or, at least, ==that this is where they *like* to be challenged.==
>
> Crafters may be building holistic products and projects, just like Builders. But Crafters generally are less focused on *getting through* the frontend as a *part* of that work, and instead see the frontend as *the product itself*.
> 
> <cite>*[Classic rock, Mario Kart, and why we can’t agree on Tailwind](https://joshcollinsworth.com/blog/tailwind-is-smart-steering)* ([cache](/david/cache/2023/2074a4d527220f5ddf2dc0b4e678c83a/))</cite>

Un article nuancé qui pose le doigt sur la différence de point de vue dans l’utilisation des outils. Oui, c’est le second article technique d’affilé, après je vais prendre mes gouttes.

Le parallèle est intéressant avec les joueurs et les audiophiles car on est toujours dans la recherche de l’accomplissement au-delà de la performance pure. Une histoire de plaisir à arpenter le chemin et à le rendre accessible au plus grand nombre… tout en ayant conscience d’être un peu élitiste en se permettant cela car la face nord offre d’autres défis.

Je respecte — et j’admire de plus en plus — les personnes qui n’ont pas besoin d’entrer à fond dans un sujet pour s’amuser. Il y a une innocence dont émane une forme de beauté. Certain·es pourraient y lire une condescendance mal placée mais pas du tout, cette recherche est bien trop souvent un fardeau chronophage qui pourrit la vie et les relations. Un groupe sain nécessite probablement d’avoir les deux façons d’appréhender les choses pour arriver à l’équilibre instable qui consiste à aller de l’avant.

Oh, et pour revenir aux CSS, **pour mon usage** qui est de faire des petits outils résilients en équipe réduite, j’utilise de plus en plus des *frameworks* [sans classes](https://github.com/dbohdan/classless-css) (ahum) comme [Pico.css](https://picocss.com/) qui procurent une base saine, configurable et facilement portable. Est-ce que cela fait de moi un *Brafter* ? ([Non](https://www.urbandictionary.com/define.php?term=Braft).)

---

> [en] ✍️ Most people default to one or another behavior but rarely use them exclusively. Writers will often benefit from talking things out when they get stuck; and talkers will find that occasionally writing something down helps solidify their thoughts. Both strategies can be learned. Whether you’re a writer or a talker isn’t about your inability to do one or the other so much as it is a preferred or optimized mode.
>
> This is, incidentally, ==a much more valuable way of understanding different working styles== than the old maker vs manager canard. Both talkers and writers make things (including decisions), but they means by which they make things—and the needs they have in relation to their colleagues—are not the same.
>
> <cite>*[Writers and talkers and leaders, oh my!](https://everythingchanges.us/blog/writers-and-talkers-and-leaders/)* ([cache](/david/cache/2023/b2292d98e9d54537c13b8c1e2cae5583/))</cite>

> [en] 🐉 But in general, I’d still be wary of using local-first outside real-time / multiplayer / offline use cases. ==Local-first is definitely still bleeding-edge.== You will hit unexpected problems. A good community has rapidly developed, but there’ll still be some stretches on the road where you’ll have to solve novel problems.
>
> So: if you need local-first, see if it makes sense to isolate the local-first parts and architect the rest of the app (for now) in a more conventional fashion.
>
> <cite>*[Some notes on Local-First Development](https://bricolage.io/some-notes-on-local-first-development/)* ([cache](/david/cache/2023/49f2ce04dd0beb94dc2f662163bc6339/))</cite>

> 😔 En fait ma plus grande inquiétude dans ses parcours hors-circuits sont les autres humains, ceux qui ne comprendraient pas ma démarche.
> 
> <cite>*[banlieue ou suburb](https://www.la-grange.net/2023/03/03/suburb)* ([cache](/david/cache/2023/5f93f91a46391e0e120dac49298857d1/))</cite>

#complexité #recherche #technique
