# Développement(s)

J’ai un peu de mal ces temps-ci à dire que je suis un développeur car j’ai l’impression de passer énormément d’énergie à faire d’autres choses. Lorsqu’on me demande ce que je fais, je dis « des trucs, de-ci de-là… », rien de bien grandiloquent. Une bonne partie de mes journées est passée dans la gestion de Scopyleft (au sens très large), une autre à interagir avec les équipes avec lesquelles je travaille. Et puis parfois, l’après-midi ou le soir, lorsqu’il n’y a ni grève, ni neige, ni journée pédagogique, ni covid, ni flemme, il m’arrive de coder des trucs.

## Anthologie Palatine

![Capture d’écran du produit](/static/david/2023/2023-12-08-anthologie-palatine.jpg "Capture d’écran du produit.")

Projet de longue date avec la [Chaire du Canada sur les écritures numériques](https://www.ecrituresnumeriques.ca/) qui consiste à rendre possible le parcours et l’analyse de [textes en Grec ancien](https://anthologiagraeca.org/). C’est un peu en pause depuis le début de l’année mais j’ai pris beaucoup de plaisir à échanger / pairer techniquement avec Sarah (de Scopyleft) sur ces évolutions.

Participer à de la recherche par l’angle du développement est ~~un des moyens d’être bien payé~~ une façon de garder un pied dans un domaine qui me fait mouliner le cerveau pour autre chose que le profit des autres.

## Pressoir

![Capture d’écran du produit](/static/david/2023/2023-12-08-ateliers-sens-public.jpg "Capture d’écran du produit.")

Toujours avec la [Chaire du Canada sur les écritures numériques](https://www.ecrituresnumeriques.ca/), parce qu’on apprécie bien de travailler ensemble, on a fait il y a quelques années un outil permettant de générer des livres numériques à partir de sources en *markdown*.

Cela a donné lieu à [deux](https://ateliers.sens-public.org/) [collections](http://parcoursnumeriques-pum.ca/) enrichies de contenus numériques (vidéos, etc).

![Capture d’écran du produit](/static/david/2023/2023-12-08-presses-universitaires-montreal.jpg "Capture d’écran du produit.")

Depuis l’automne, on assume d’avoir fait un [Générateur de Livres Statiques](https://gitlab.huma-num.fr/ecrinum/pressoir-cli/) et on essaye de le rendre plus polyvalent / autonome. C’est un exercice de recherche qui va vers une dé-GAFAM-isation et qui m’intéresse [depuis un bout de temps…](/david/biologeek/archives/20060119-open-articles-liberez-votre-savoir/)

## Stylo

![Capture d’écran du produit](/static/david/2023/2023-12-08-stylo-export.jpg "Capture d’écran du produit.")

Puisque j’en suis sur la recherche, j’ai aussi contribué modestement à l’éditeur de texte [Stylo](https://stylo.huma-num.fr/) pour la partie export. Cela m’a fait plonger dans l’univers de [Pandoc](https://gitlab.huma-num.fr/ecrinum/stylo/pandoc-api) (et Docker), de la bibliographie académique et puis j’ai refait des API et j’aime bien ça.

## LABRRI

![Capture d’écran du produit](/static/david/2023/2023-12-08-labrri.jpg "Capture d’écran du produit.")

Pour finir côté recherche, j’ai accompagné le [LABRRI](https://labrri.net/) dans l’analyse et la mise en forme de leurs données autour de situations interculturelles au Québec. C’est en interagissant avec des personnes peu/pas techniques que j’ai l’impression de progresser aujourd’hui. Cela permet de revoir les contraintes, l’autonomie, la consommation des ressources, les outils déjà en place. Cette prise de recul est nécessaire pour un avenir frugal.

Le sujet en lui-même est une façon de m’intégrer au Québec en analysant le prisme des incompréhensions culturelles qu’il peut parfois y avoir.

## Croix-Rouge

![Capture d’écran du produit](/static/david/2023/2023-12-08-croix-rouge-aime.jpg "Capture d’écran du produit.")

On a mis en place un outil pour qu’un lieu d’accueil et d’orientation puisse donner des formations à des mineurs étrangers avec [Maïtané](https://www.maiwann.net/) et c’était émotionnellement intense. Beaucoup de [remises en questions techniques](/david/2023/02/18/) personnelles mais surtout de réflexions sur quelles sont les véritables héroïnes de ce monde…

Un des enjeux était de voir ce que l’on arrivait à produire avec un budget très restreint (pour le domaine). Il y aurait de la matière pour un article dédié.

## Outils scopyleft

![Capture d’écran du produit](/static/david/2023/2023-12-08-outils-scopyleft.jpg "Capture d’écran du produit.")

J’ai produit et maintenu une quinzaine d’outils pour [Scopyleft](http://scopyleft.fr/) au cours de l’année. C’est beaucoup et je m’en suis rendu compte au moment où j’ai dû faire une page pour en faire la liste car on avait du mal à nous y retrouver ! Plus que les outils en eux-mêmes, c’est la structuration et l’aide qu’ils ont pu apporter à des moments critiques qui me réjouit.

J’ai aussi développé pas mal de bouts de code relatifs à l’automatisation / vérification des sous-traitant·es qui sont de plus en plus nombreuses avec le [marché public](https://www.data.gouv.fr/fr/datasets/realisation-de-services-publics-numeriques-en-mode-produit-coordonnes-par-le-programme-interministeriel-beta-gouv/) que l’on a remporté il y a quelques années. Extraire et vérifier des données issues de PDF provenant de l’administration ou d’outils de comptabilité n’est pas une mince affaire…

## uMap

![Capture d’écran du produit](/static/david/2023/2023-12-08-umap-anct.jpg "Capture d’écran du produit.")

Au printemps dernier, Yohan m’a motivé pour que l’on transforme un logiciel open-source en commun tout en se faisant financer par l’État. Je dois avouer que j’étais un peu dubitatif mais j’ai tenté le coup. Quelques mois après, on a une [instance souveraine](https://umap.incubateur.anct.gouv.fr/) en production, des centaines d’*issues* traitées, un [site dédié](https://umap-project.org/) avec une possibilité de financement participatif, des mises à jour régulières, des réflexions de fond avec la communauté, un financement par [NLnet](https://nlnet.nl/), etc.

Pari tellement réussi qu’on a décidé de me passer en mécénat de compétences avec Scopyleft pour les derniers mois de l’année. Il faudra que je fasse un billet dédié.

![Capture d’écran du produit](/static/david/2023/2023-12-08-umap-project.jpg "Capture d’écran du produit.")

---

La plupart de ces sites sont statiques ou [semynamiques](/david/2023/09/13/), sans faire appel à NPM. Vous n’avez pas idée d’à quel point cela me tranquillise et augmente mon efficacité en terme de maintenance sur le long terme.

#complexité #recherche #web