# Vocabulaire

> Les tensions et processer les tensions. Essayez de remplacer les termes « problèmes » et « solutions » par « tensions » et « processer ». Les êtres humains semblent être enclins de manière innée à attendre la dernière minute pour gérer ce qu’ils perçoivent comme des problèmes. Par conséquent, l’emploi de ce langage « négatif » dans le monde de l’entreprise peut donner naissance à une culture de l’évitement ou de l’inquiétude inutile. Le terme « tension », comme employé en *Holacracy*, est neutre et signifie simplement *la perception d’un écart entre la réalité et ce qu’elle pourrait être.*
> 
> Une tension n’est pas un « problème » et n’induit pas nécessairement une « solution ». Elle met en lumière une occasion de rapprocher la situation actuelle de ce qu’elle pourrait être — ce qui sous-entend généralement une amélioration. ==Holacracy emploie le terme « processer » pour décrire ce phénomène, qui évite la notion de résultat fixe et définitif et illustre un cheminement fait d’une adaptation et de progrès permanents.==
> 
> Des propositions plutôt que des problèmes. Le changement qui va de pair avec celui que je viens de décrire est de prendre l’habitude de faire des « propositions » au lieu de se contenter de se lamenter. Lorsque vous ressentez une tension, demandez-vous : « Qu’est-ce qui pourrait améliorer la situation ? Que pourrais-je proposer ? » Encouragez votre équipe à en faire de même. La proposition ne se doit pas d’être une « solution » parfaite — c’est un moyen d’entamer la conversation de manière proactive et créative, et non négative.
> 
> <cite>*La révolution Holacracy*, Brian J. Robertson, chapitre « Changez votre langage, changez votre culture »</cite>

On pourrait y voir de la [novlangue](https://fr.wikipedia.org/wiki/Novlangue) de *manager* mais il y a cette idée derrière qu’on ne tente pas de résoudre un problème mais de libérer — peut-être temporairement — une tension qui me plait bien. Ce que l’on aborde alors ensemble ce sont les actions qui nous semblent aller vers *un* mieux parmi l’arbre des possibles. L’enjeu d’un collectif qui se respecte est de trouver la légitimité individuelle nécessaire pour continuer à explorer des pistes ne faisant pas forcément l’unanimité lors d’une première itération. *Holacratie* semble mettre des règles explicites sur ces pratiques.

J’apprécie particulièrement le couple proposition / objections. Difficile de sortir d’une forme de confort une fois celui-ci établi. Peut-être que le *refus de confort* pourrait être une notion au même titre que le [*refus de parvenir*](/david/2020/10/08/) ? Accepter le risque de l’inconnu pour ne pas se perdre dans un hier déjà expérimenté, déjà dé·fini.

> Des objections ? La prochaine fois que vous recherchez l’adhésion de votre équipe à une décision, modifiez votre mode de communication. Ne demandez pas : « Est-ce que tout le monde est d’accord ? » ou « Ma proposition plaît-elle à tout le monde ? ». Ces questions débouchent sur une discussion longue et pénible. Demandez-leur plutôt : ==« Y a-t-il des objections à l’adoption de cette proposition ? »== Et définissez une objection comme « une raison pour laquelle l’adoption de cette proposition causerait du tort ou nous ferait régresser ? »
> 
> Voici une autre formulation : « Est-ce que quelqu’un considère la mise en œuvre de cette proposition comme pas assez sûre, sachant que nous pourrons revoir cette décision si elle ne porte pas ses fruits ? » Ce simple changement de langage peut vous faire gagner beaucoup de temps et alléger considérablement le processus décisionnel.
>
> <cite>*Ibid.*</cite>

---

[Nicolas L.](https://piaille.fr/@nicosomb/111696724396676161) et [Nicolas H.](https://mamot.fr/@nhoizey/111697128068526484) me font des retours sur le nouveau design en passant par Mastodon. Les choix respectifs de chacun·e de rendre les réponses publiques ou non enlèvent une partie des échanges mais c’est vraiment chouette d’entamer un processus d’amélioration (de libération de tensions ?) en commun à ce sujet.

J’essaye de rendre l’épaisseur du soulignement des liens dynamique, lié à la fluidité de la taille du texte 🧑‍🔬, peut-être que je devrais rendre la taille des bordures dynamiques aussi ? Parfois la contrainte technique peut devenir une contrainte éditoriale acceptable. **Cet espace est suffisamment sur-pensé comme ça.**

Je commence un thème sombre qui réagit à celui du système d’exploitation par défaut. Surtout pour un besoin personnel pour l’instant, mes yeux en ont besoin. Cela me pousse à ajouter des variables CSS pour les couleurs.

Plus tard, [Emmanuel](https://mamot.fr/@emmanuelc/111700432836997597) m’enlève une épine du pied sur une formule de grille que je ne comprenais pas totalement. J’apprends des choses au passage. Le copier-coller ? Oui, mais il faudra toujours finir par le décortiquer.

La CSS progresse, 426 lignes ce soir… et un seul `breakpoint` défini pour forcer une variable maximale sur les grands écrans. J’aime bien cette idée.

---

Randonnée de 8 km en famille aujourd’hui, parfois je ne me rends plus trop compte des distances — qui plus est sur un sol difficile. Je voulais surtout savoir jusqu’à quels refuges je pouvais envisager des aventures avec l’enfant dans des conditions hivernales. Chaque année, de nouveaux horizons s’ouvrent.

---

> — Comment appelle-t-on un groupe de faisans ? demande Anna.  
> — Un bouquet, répond Isobel. Un groupe d’étourneaux ?  
> — Un murmure.  
> — De flamants ?  
> — Une flamboyance de flamants. De hiboux ?  
> Isobel hésite. Sans lever les yeux de son livre, Emily répond à sa place :  
> — On dit un parlement de hiboux.  
> — Très bien. Plus difficile alors. Comment appelle-t-on un groupe d’alouettes ?  
> — Une exaltation.  
> — Et de papillons ?  
> — Un kaléidoscope de papillons.
> 
> <cite>*Alors nous irons trouver la beauté ailleurs*, Corinne Morel Darleux citant Dominique Fortier sur Emily Dickinson, *Les Villes de papiers*</cite>

💚 Quand l’ornithologie fait de la poésie.

#apprentissage #décision #équipe
