# AÏe

> Honestly, at this point using ChatGPT in the way that I do feels like a massively unfair competitive advantage. I’m not worried about AI taking people’s jobs: ==I’m worried about the impact of AI-enhanced developers like myself.==
>
> It genuinely feels unethical for me *not* to help other people learn to use these tools as effectively as possible. I want everyone to be able to do what I can do with them, as safely and responsibly as possible.
>
> I think the message we should be emphasizing is this:
>
> **These are incredibly powerful tools. They are far harder to use effectively than they first appear. Invest the effort, but approach with caution: we accidentally invented computers that can lie to us and we can’t figure out how to make them stop.**
> 
> <cite>*[We need to tell people ChatGPT will lie to them, not debate linguistics](https://simonwillison.net/2023/Apr/7/chatgpt-lies/)* ([cache](/david/cache/2023/452be27c5cc8a4b9824d1d7e005546c6/))</cite>

_Je ne voulais pas trop réagir à chaud sur ce sujet. Aussi, je n’ai pas encore testé tout cela pour de vrai donc tout ce qui suit ne sont que les ruminations d’un vieux mi-Cassandre, mi-raison._

Quand je regarde les [expériences](https://gist.github.com/simonw/66918b6cde1f87bf4fc883c67735195d) de Simon Willison, je compare de plus en plus ces aides pour dévelopeur·euses à un StackOverflow amélioré. Peut-être que ça ne fait qu’accroitre les inégalités entre les personnes expérimentées et celles qui ne le sont pas. À moins que ça ne puisse être qu’une réflexion de personne expérimentée. Difficile de me prononcer mais je doute que cet outil permette de réduire ce fossé.

Bien sûr, ça donne tout de suite envie de [faire](https://lethain.com/openai-exploration/) ([cache](/david/cache/2023/4a485034e94dc6123a624e8a589e8dac/)) des [trucs](http://dataholic.ca/2023/04/05/gpt-assistant-vocal/) ([cache](/david/cache/2023/08f83e8893cad4d5a2eb6a560f73dd65/)) plutôt [fun](https://www.lukew.com/ff/entry.asp?2008) ([cache](/david/cache/2023/dc43f3c837d95313ac7317e10349511e/)) avec. Pour ma part, ça me démotive de publier des choses qui vont venir alimenter la machine. Dans une telle proportion d’analyse, chaque réaction à un article ne fait qu’enrichir sa compréhension, chaque texte alternatif à une image ne fait qu’entraîner un générateur, chaque ligne de code sur une forge publique permet d’améliorer un algorithme potentiellement destructeur, chaque étiquette attribuée contribue à confirmer un biais. Les producteurs ont le pouvoir d’orienter un algorithme qui se nourrit de ces productions, d’une certaine manière les vainqueurs racontent déjà l’histoire qu’écrira la génération suivante. Tout change… sans vraiment changer.

Peut-être que, comme pour les échecs, cette aide contribuera à faire monter le niveau général et permettra de s’entraîner contre/avec la machine. Regardant beaucoup de parties commentées en direct, la jauge mise à jour en temps réel nous donne peut-être un aperçu des évaluations futures ou même des recrutements. J’imagine que ça pourrait devenir très pertinent pour générer des tests unitaires, voire de sécurité, sur un code produit.

En creux, il est un peu fou de constater que tout ce qui est publiquement et gratuitement accessible est en train d’être exploité pour le profit de quelques uns sans aucun respect des souhaits des auteur·ices sur ces contenus. Une forme de colonisation dont je prends conscience probablement car je suis — pour une fois — du mauvais côté de la frontière, aussi numérique soit-elle.

> 👴 Based on our findings, if Copilot is used by expert developers in software projects, it can become an asset since its suggestions could be comparable to humans’ contributions in terms of quality. However, Copilot can become a liability ==if it is used by novice developers who may fail to filter== its buggy or non-optimal solutions due to a lack of expertise.
> 
> <cite>*[GitHub Copilot AI pair programmer: Asset or Liability?](https://www.sciencedirect.com/science/article/abs/pii/S0164121223001292)* ([cache](/david/cache/2023/6eef954bc8dd84322cf19ab38caf2ee3/))</cite>


> ✍️ Personal notes (for meetings, books, and coding) seems the most promising but I don’t think AI can do this for me either. When I take notes, I’m only interested in writing out the stuff that matters to me. Every book I read has a hundred summaries on the internet, each more detailed and comprehensive than mine, but I still take book notes because I want to remember what impacted me. Even if an AI knew what those things were, ==delegating that work would defeat the purpose.==
> 
> <cite>*[AIs can write for us but will we actually want them to?](https://www.bryanbraun.com/2023/04/14/ais-can-write-for-us-but-will-we-want-them-to/)* ([cache](/david/cache/2023/89aa5bbfeaa7c8f2411980f99801359c/))</cite>

> 😔 It’s astonishing to me how little people have learned about trusting centralized entities with huge amounts of power in their lives. ==LLMs are a fundamentally centralized phenomenon== — they take a huge amount of human and computer time to make, and are thus only accessible to enormous institutions. I don’t understand if people are simply blind to these power relations, or if they don’t care.
>
> <cite>*[Scattered ChatGPT thoughts](https://notebook.wesleyac.com/gpt-ugh/)* ([cache](/david/cache/2023/d1545c8cf9387ad9b0c98020c7ccfe61/))</cite>

> 🤔 Where does this all land? I’m moderately optimistic about AI.
>
> But I think the thing that excites a lot of people about it is the reorganization, the shift, the reward for opportunism. Navigating that change in market opportunity and being there is its own reward to a lot of people. And it should be: this is the essence of progress in an industrialized society. The relationships, the strategy, matters much more to many people than craft or art: what goes into the production of a thing is just a variable to be minimized.
>
> ==How people feel about AI has a lot to do with how they think society should be structured,== what makes work valuable, and what they truly enjoy doing.
>
> <cite>*[The one about AI](https://macwright.com/2023/04/15/ai.html)* ([cache](/david/cache/2023/ccb1821caf1a27ed2a2e9a92a26d0b65/))</cite>


> 💦 Large Language Models are something lesser. ==They are water running down pathways etched into the ground over centuries by the rivers of human culture.== Their originality comes entirely from random combinations of historical thought. They do not know the ‘meaning’ of anything—they only know the records humans find meaningful enough to store.[19] Their unreliability comes from their unpredictable behaviour in novel circumstances. When there is no riverbed to follow, they drown the surrounding landscape.
> 
> <cite>*[Artificial General Intelligence and the bird brains of Silicon Valley](https://softwarecrisis.dev/letters/ai-bird-brains-silicon-valley/)* ([cache](/david/cache/2023/f23d043d8e99f2af5fcf1b970f98744a/))</cite>

> 🧊 Depending on the energy source used for training and its carbon intensity, training a 2022-era ==LLM emits at least 25 metric tons of carbon== equivalents if you use renewable energy, as we did for the BLOOM model. If you use carbon-intensive energy sources like coal and natural gas, which was the case for GPT-3, this number quickly goes up to 500 metric tons of carbon emissions, roughly equivalent to over a million miles driven by an average gasoline-powered car.
>
> And this calculation doesn’t consider the manufacturing of the hardware used for training the models, nor the emissions incurred when LLMs are deployed in the real world.
>
> <cite>*[The mounting human and environmental costs of generative AI](https://arstechnica.com/gadgets/2023/04/generative-ai-is-cool-but-lets-not-forget-its-human-and-environmental-costs/)* ([cache](/david/cache/2023/230f8f7224199132de4ce030458536de/))</cite>


> 🪵 Enseignez le code sans ordinateur
>
> CODE EN BOIS est un système innovant et écologique qui permet d’initier à la programmation en manipulant des briques d’instructions en bois. La seule question qu’on se pose, c’est « pourquoi ça n’existait pas avant ? »
>
> <cite>[CODE EN BOIS](https://codeenbois.fr/)</cite>


> 🌌 J’ai ressenti l’impulsion après qu’une amie a demandé à la cantonade “ma fille voudrait aller voir les aurores boréales, mais ma famille ne prend plus l’avion, vous pensez que c’est possible en train ?”. ==Ça doit être possible, je me suis dit, mais compliqué à organiser.== Et puis j’ai regardé les cartes, les zones de visibilité des aurores, les meilleures périodes de l’année pour les voir, la météo scandinave, les prédictions d’activité solaire… en fait, c’est bien plus accessible que je ne le pensais. Et si j’y allais ?
>
> <cite>*[Aller voir les aurores boréales en train](https://blog.professeurjoachim.com/billet/2023-03-31-aller-voir-les-aurores-boreales-en-train)* ([cache](/david/cache/2023/096a44a83d8d3f2bdfd21e3d378e4719/))</cite>

#complexité #sociologie #technique
